> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create dataset

> Creates a dataset. 

A dataset is a collection of related data sources, such as Excel, CSV, PDF, Word, webpages, Markdown, and plain text. It allows easy access to and utilization of your data for analysis. You can create a dataset to host all the data sources needed for a specific analysis. Then, when creating a session, simply associate it with the dataset to access all the required data sources.



## OpenAPI

````yaml post /v2/team/datasets
openapi: 3.0.1
info:
  title: Team Open API Snake
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security:
  - apikey-header-x-pd-api-key: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v2/team/datasets:
    post:
      tags:
        - Dataset
      summary: Create dataset
      description: >-
        Creates a dataset. 


        A dataset is a collection of related data sources, such as Excel, CSV,
        PDF, Word, webpages, Markdown, and plain text. It allows easy access to
        and utilization of your data for analysis. You can create a dataset to
        host all the data sources needed for a specific analysis. Then, when
        creating a session, simply associate it with the dataset to access all
        the required data sources.
      parameters:
        - name: x-pd-external-trace-id
          in: header
          description: >-
            The trace ID you set in your system to trace this request. It can be
            up to 128 characters in length. If the request fails, you can
            provide it to the Powerdrill team to help with troubleshooting.
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: >-
                    The dataset name, which can be up to 128 characters in
                    length. If it exceeds this limit, it will be truncated.
                description:
                  type: string
                  description: >-
                    The dataset description, which can be up to 128 characters
                    in length. If it exceeds this limit, it will be truncated. 
                user_id:
                  type: string
                  description: >-
                    Your user ID, which uniquely identifies you within your
                    team. To obtain your ID:


                    - If you're the team admin, refer to [Check user
                    information](/enterprise/users#check-user-information).

                    - If you're a system or virtual user, ask your team admin to
                    check your user ID by referring to [Check user
                    information](/enterprise/users#check-user-information).
              required:
                - name
                - user_id
            example:
              name: My dataset
              description: my default dataset
              user_id: tmm-dafasdfasdfasdf
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. For error
                      troubleshooting, refer to [Error
                      Codes](/api-reference/error-codes).
                  data:
                    description: A dataset object.
                    type: object
                    properties:
                      id:
                        type: string
                        description: The dataset ID, which uniquely identifies the dataset.
                    required:
                      - id
                required:
                  - data
                  - code
              example:
                code: 0
                data:
                  id: dataset-adsdfasafdsfasdgasd
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: >-
                The trace ID returned by Powerdrill. If a failure occurs, you
                can provide it to the Powerdrill team to assist with
                troubleshooting.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````